# frozen_string_literal: true

require_relative 'lib/fis/version'

Gem::Specification.new do |spec|
  spec.name          = 'fis'
  spec.license       = 'MIT'
  spec.version       = FIS::VERSION
  spec.authors       = ['Tom Milewski']
  spec.email         = ['tmilewski@gmail.com']

  spec.summary       = 'The command line interface to Flatiron School services.'
  spec.description   = spec.summary
  spec.homepage      = 'https://portal.flatironschool.com'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.6.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/tmilewski/fis'
  spec.metadata['changelog_uri'] = 'https://github.com/tmilewski/fis/releases'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'faraday', '~> 1.1.0'
  spec.add_runtime_dependency 'faraday_middleware', '~> 1.0.0'
  spec.add_runtime_dependency 'oauth2', '~> 1.4.4'
  spec.add_runtime_dependency 'sinatra', '~> 2.1.0'
  spec.add_runtime_dependency 'thin', '~> 1.7.2'
  spec.add_runtime_dependency 'thor', '~> 1.0'
  spec.add_runtime_dependency 'tty-config', '~> 0.4'
  spec.add_runtime_dependency 'tty-link', '~> 0.1'
  spec.add_runtime_dependency 'tty-prompt', '~> 0.22'
  spec.add_runtime_dependency 'zeitwerk', '~> 2.4.0'
end
